summaryrefslogtreecommitdiff
path: root/qa/089
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/089
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/089')
-rwxr-xr-xqa/08932
1 files changed, 32 insertions, 0 deletions
diff --git a/qa/089 b/qa/089
new file mode 100755
index 0000000..cfe88bd
--- /dev/null
+++ b/qa/089
@@ -0,0 +1,32 @@
+#! /bin/sh
+# PCP QA Test No. 089
+# interpolate a monotonic increasing value
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+_filter()
+{
+ sed \
+ -e '/^$/d' \
+ -e '/^[^0-9]/d' \
+ | $PCP_AWK_PROG '
+$2 <= 0.95 || $2 >= 1.05 { print "oops: " $0; next }
+ { print "rate close to 1" }'
+}
+
+# real QA test starts here
+
+# get the time of the first sample
+first_time=`pmval -U src/bar -s2 sampledso.milliseconds | tail -1 | cut -f1 -d ' '`
+
+pmval -S "@$first_time" -t 0.01 -s 485 -a src/bar sampledso.milliseconds 2>/dev/null | _filter